v1.0
put
/ec-site-svc/rest/v1.0/studies/{studyId}/{mode}/sdfs/extendedPropertiesByFilter
Creates or updates extended properties for all Sites filtered by the passed parameters.Based on a flag, API chooses between site IDs passed and site IDs fetched via filter. The API sets the same property values for all relevant sites
Request
Path Parameters
-
mode(required): string
Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Example:
test -
studyId(required): string(uuid)
Study identifier as a 32-character uppercase hexadecimal UUID string.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
countryId: string
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Country identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B -
name: string
Minimum Length:
1Maximum Length:255Name search filter for site.Example:Site A -
statusId: string
SDF status filter. Allowed values: ACTIVE (available), NEW (newly created), RESTRICTED (limited use), DISBARRED (blocked), DECEASED (closed), RETIRED (inactive).Allowed Values:
[ "ACTIVE", "NEW", "RESTRICTED", "DISBARRED", "DECEASED", "RETIRED" ]Example:ACTIVE -
studyVersion: string
Minimum Length:
1Maximum Length:20Pattern:^[0-9]+$Study version filter for sites or depots. Accepts non-negative integer version numbers.Example:1
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
extendedProperties: array
extendedProperties
Collection of extended properties for update operations.
Nested Schema : extendedProperties
Type:
arrayCollection of extended properties for update operations.
Show Source
Example:
[
{
}
]Nested Schema : SDFsPropertyDto
Type:
Show Source
object-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Unique identifier for this record.
-
propertyName(required): string
Minimum Length:
0Maximum Length:100Name of the property.Example:timezone -
propertyValue(required): string
Minimum Length:
0Maximum Length:2048Value of the property.Example:UTC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfId: string
(uuid)
Identifier of the related SDF record.
-
versionStart: string
(date-time)
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation.
Nested Schema : sdfExtendedPropertiesList
Type:
Show Source
arrayExample:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFPropertyListDto
Type:
Show Source
objectExample:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : sdfPropertyList
Type:
Show Source
arrayExample:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Nested Schema : SDFsPropertyDto
Type:
Show Source
object-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
id: string
(uuid)
Unique identifier for this record.
-
propertyName(required): string
Minimum Length:
0Maximum Length:100Name of the property.Example:timezone -
propertyValue(required): string
Minimum Length:
0Maximum Length:2048Value of the property.Example:UTC -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
sdfId: string
(uuid)
Identifier of the related SDF record.
-
versionStart: string
(date-time)
Examples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples